#ifndef MYUTIL_CQUEUE_H 
#define MYUTIL_CQUEUE_H
#define CQUEUE_INCREMENT_SIZE 256
typedef struct _CQueue_ {
	void *cq_array;
	unsigned long start;
	unsigned long end;
	unsigned long type_size;
	unsigned long capacity;
	unsigned long array_size;
#ifdef CQ_STATS
	unsigned long max_capacity;
#endif
}CQueue;
void InitializeCQ(CQueue *,unsigned long);
void AppendCQ(CQueue *,void *);
char DequeueCQ(CQueue *,void *);

#endif
